# Docker gocd - Febbweiss

# Docker GoCD

GoCD is a Continuous Delivery solution. This project embedded different containers such as a server and nodes.

## Embedded containers

1. GoCD server - The main container based on Debian image
2. Cloudfoundry agent - A node to deploy on CloudFoundry based on alpine image
3. Docker agent - A node to build and deploy Docker containers based on docker image
4. Java agent - A node to manage Java applications (compile / build) based on alpine-oraclejdk8 image
5. NodeJS agent - A node to manage NodeJS applications (compile / build) based on Debian image
6. Generic agent - A node providing Java and NodeJS applications management based on Node image

## Usage

The full stack is manage with docker-compose. So, to launch it, just use

    docker-compose up

Fork me on GitHub

GitHub « Previous Next »